/* VisitingSchedule.hpp
 * 
 * Copyright: Oliver Müller (TNT, Leibniz Universität Hannover), 2013
 * E-Mail: omueller@tnt.uni-hannover.de
 */
#ifndef PBP_VISITING_SCHEDULE_HPP
#define PBP_VISITING_SCHEDULE_HPP

#include <pbpTypes.hpp>

namespace pbp {

  typedef unsigned int Node;
  typedef Array<Node> Nodes;

  class VisitingSchedule {
    public:
      typedef Array<Nodes>::const_iterator const_iterator;

      VisitingSchedule(const Array<Nodes> &nodes) : nodes(nodes) {};

      const_iterator begin() const { return nodes.begin(); };
      const_iterator end() const { return nodes.end(); };
      
      const Array<Nodes>& getNodes() const { return nodes; };
    private:
      Array<Nodes> nodes;
  };

}
#endif
