% generateGMPotentialHeader(headerFileName, className, symUnaryPot, symBinaryPot)
% generateGMPotentialHeader(..., 'unaryPotStr', value)
% generateGMPotentialHeader(..., 'binaryPotStr', value)
% generateGMPotentialHeader(..., 'maxxInterval', value)
% generateGMPotentialHeader(..., 'maxyInterval', value)
% generateGMPotentialHeader(..., 'includeFiles', value)
% generateGMPotentialHeader(..., 'parameters', value)
% 
% headerFileName: Specifies the target filename of header containing the
%                 GMpotential class implementation
% className: Class name of GMpotential implementation
% symUnaryPot: Symbolic expression of unary potential (with random variable
%              'x')
% symBinaryPot: Symbolic expression of binary potential (with random
%              variables 'x' and 'y')
% 
% Optional arguments:
% includeFiles: String or cell array of strings defining additional header
%          file includes of form '#include <headerFile>'
% parameters: Cell array of input variables used by GMpotential
%             implementation
% ... (TODO, stay tuned) :)
% 
% Usage example:
% >> generateGMPotentialHeader('foo.hpp', 'fooGMpot', sym('x^2'), sym('(x-y)^2'));
% >> generateGMmex('fooBP', 'foo.hpp', 'fooGMpot', []);
% >> compileGMmex('fooBP', '/usr/lib/pbp');
% 
% Copyright: Oliver Müller (TNT, Leibniz Universität Hannover), 2013
